use chrono::Local;
use serenity::all::{CommandInteraction, Context};
use serenity::builder::{CreateCommand, CreateEmbed, CreateEmbedAuthor, CreateEmbedFooter};
use serenity::model::application::ResolvedOption;

pub fn run(ctx: &Context, command: &CommandInteraction, _options: &[ResolvedOption]) -> CreateEmbed {
    let username = command.user.name.as_str();
    let current_time = Local::now().format("%Y-%m-%d @ %H:%M:%S");
    CreateEmbed::new()
    .author(CreateEmbedAuthor::new("Rustendo"))
    .description("Botendo v7\ndeveloped by [moonleay](https://moonleay.net)\n\nCheck out the repository: https://git.moonleay.net/DiscordBots/Rustendo")
    .footer(CreateEmbedFooter::new(format!(">{} | {}", current_time, username)))
}


pub fn register() -> CreateCommand {
    CreateCommand::new("info").description("Infos about the bot")
}

// >18/02/2024 @ 19:01:59 - bartlo
// >2024-02-19 17:58:39 | moonleay